Bug 888731 - Review Request: python-ujson - An ultra fast JSON encoder and decoder written in pure C
Summary: Review Request: python-ujson - An ultra fast JSON encoder and decoder written...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: pjp
QA Contact: Fedora Extras Quality Assurance
URL: http://pypi.python.org/pypi/ujson
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-19 11:13 UTC by Kushal Das
Modified: 2013-12-02 23:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-03 04:45:12 UTC
pj.pandit: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Kushal Das 2012-12-19 11:13:10 UTC
Spec URL: http://kushal.fedorapeople.org/packages/python-ujson.spec
SRPM URL: http://kushal.fedorapeople.org/packages/python-ujson-1.23-1.fc17.src.rpm

Description: 
UltraJSON is an ultra fast JSON encoder and decoder written in
pure C with bindings for Python


Fedora Account System Username: kushal


EPEL6 build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4802375
RAWHIDE: http://koji.fedoraproject.org/koji/taskinfo?taskID=4802385

Comment 1 pjp 2012-12-23 19:33:07 UTC
[X] Package name - ok.
[X] Package group - ok.
[X] Package license - ok.
[X] Build successful - ok.

[X] $ rpmlint SPECS/python-ujson.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

  - ok.

[X] $ rpmlint RPMS/x86_64/python-ujson-1.23-1.fc17.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

  - ok.

[X] $ rpmlint SRPMS/python-ujson-1.23-1.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

  - ok.

[X] Install/Un-install - ok.

License file is missing from the source.zip

Overall good.

Comment 2 pjp 2012-12-23 19:34:21 UTC
Approved.

Comment 3 kushaldas@gmail.com 2013-02-22 03:59:36 UTC
New Package SCM Request
=======================
Package Name: python-ujson
Short Description: An ultra fast JSON encoder and decoder written in pure C
Owners: kushal
Branches: f17 f18 el6
InitialCC: kushal

Comment 4 Gwyn Ciesla 2013-02-22 13:20:32 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2013-03-21 23:19:15 UTC
python-ujson-1.23-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-ujson-1.23-1.fc18

Comment 6 Fedora Update System 2013-03-22 21:18:12 UTC
python-ujson-1.23-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 7 Fedora Update System 2013-04-03 04:45:14 UTC
python-ujson-1.23-1.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.